Bug 1343807 - [abrt] mate-panel: g_slist_remove_all(): mate-panel killed by SIGSEGV
Summary: [abrt] mate-panel: g_slist_remove_all(): mate-panel killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-panel
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fb18da4f5f102334eb096de9699...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 03:29 UTC by Jia Yuan Lo
Modified: 2016-12-20 20:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:50:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (24.08 KB, text/plain)
2016-06-08 03:29 UTC, Jia Yuan Lo
no flags Details
File: cgroup (200 bytes, text/plain)
2016-06-08 03:29 UTC, Jia Yuan Lo
no flags Details
File: core_backtrace (6.05 KB, text/plain)
2016-06-08 03:29 UTC, Jia Yuan Lo
no flags Details
File: dso_list (9.45 KB, text/plain)
2016-06-08 03:29 UTC, Jia Yuan Lo
no flags Details
File: environ (1.70 KB, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details
File: exploitable (82 bytes, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details
File: maps (50.13 KB, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details
File: mountinfo (3.81 KB, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details
File: namespaces (85 bytes, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details
File: open_fds (3.88 KB, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details
File: var_log_messages (295 bytes, text/plain)
2016-06-08 03:30 UTC, Jia Yuan Lo
no flags Details

Description Jia Yuan Lo 2016-06-08 03:29:31 UTC
Version-Release number of selected component:
mate-panel-1.12.2-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        mate-panel
crash_function: g_slist_remove_all
executable:     /usr/bin/mate-panel
global_pid:     1674
kernel:         4.5.5-201.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slist_remove_all at gslist.c:445
 #1 gtk_rc_clear_realized_style at gtkrc.c:1665
 #2 g_hash_table_foreach at ghash.c:1607
 #3 gtk_rc_reset_styles at gtkrc.c:1711
 #4 gtk_settings_notify at gtksettings.c:1423
 #10 g_object_notify_by_spec_internal at gobject.c:1154
 #11 g_object_notify at gobject.c:1202
 #12 _gtk_settings_handle_event at gtksettings.c:2151
 #13 gtk_main_do_event at gtkmain.c:1511
 #19 gtk_main at gtkmain.c:1268

Potential duplicate: bug 1101919

Comment 1 Jia Yuan Lo 2016-06-08 03:29:42 UTC
Created attachment 1165803 [details]
File: backtrace

Comment 2 Jia Yuan Lo 2016-06-08 03:29:45 UTC
Created attachment 1165804 [details]
File: cgroup

Comment 3 Jia Yuan Lo 2016-06-08 03:29:53 UTC
Created attachment 1165805 [details]
File: core_backtrace

Comment 4 Jia Yuan Lo 2016-06-08 03:29:58 UTC
Created attachment 1165806 [details]
File: dso_list

Comment 5 Jia Yuan Lo 2016-06-08 03:30:02 UTC
Created attachment 1165807 [details]
File: environ

Comment 6 Jia Yuan Lo 2016-06-08 03:30:06 UTC
Created attachment 1165808 [details]
File: exploitable

Comment 7 Jia Yuan Lo 2016-06-08 03:30:08 UTC
Created attachment 1165809 [details]
File: limits

Comment 8 Jia Yuan Lo 2016-06-08 03:30:17 UTC
Created attachment 1165810 [details]
File: maps

Comment 9 Jia Yuan Lo 2016-06-08 03:30:21 UTC
Created attachment 1165811 [details]
File: mountinfo

Comment 10 Jia Yuan Lo 2016-06-08 03:30:26 UTC
Created attachment 1165812 [details]
File: namespaces

Comment 11 Jia Yuan Lo 2016-06-08 03:30:30 UTC
Created attachment 1165813 [details]
File: open_fds

Comment 12 Jia Yuan Lo 2016-06-08 03:30:36 UTC
Created attachment 1165814 [details]
File: proc_pid_status

Comment 13 Jia Yuan Lo 2016-06-08 03:30:38 UTC
Created attachment 1165815 [details]
File: var_log_messages

Comment 14 Wolfgang Ulbrich 2016-08-13 18:19:34 UTC
Can you provide a valid description?
Steps to reproduce?
Did this issue occurs frequently ?
Is the problem still exists with the latest updates?

Comment 15 Jia Yuan Lo 2016-08-22 13:50:11 UTC
I don't really know what happened...
It's a long time ago that this happened in a fresh install.
Not sure this was on VM or metal.
Probably trying to run some automated setup scripts by invoking gsettings command directly and without using UI that got MATE crashed and restarted.

I suppose you can close it since I don't think it will trigger again for now...

Comment 16 Fedora End Of Life 2016-11-25 09:14:20 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2016-12-20 20:50:55 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.